function [x,y] = RK2M(fun,x0,T,y0,nk)

h=(T-x0)/nk;
x=x0:h:T;
y=zeros(1,length(x));

y(1)=y0;

for i=2:nk+1
    k1=fun(x(i-1),y(i-1));
    k2=fun(x(i-1)+h,y(i-1)+h*k1);
    y(i)=y(i-1) + h.*(0.5*k1 + 0.5*k2);
end

end